MyAddon = LibStub("AceAddon-3.0"):NewAddon("EPGP Looting Guide", "AceEvent-3.0", "AceConsole-3.0", "AceComm-3.0")

AceGUI = LibStub("AceGUI-3.0")

myOptions = {
  type = "group",
  args = {
    enable = {
      name = "Enable",
      desc = "Enables / Disables the addon",
      type = "toggle",
      set = function(info,val) if (val) then MyAddon:Enable() else MyAddon:Disable() end MyAddon.enabled = val end,
      get = function(info) return MyAddon.enabled end
    },
  }
}

local AceConfig = LibStub("AceConfig-3.0")
AceConfig:RegisterOptionsTable("EPGP Looting Guide", myOptions)
LibStub("AceConfigDialog-3.0"):AddToBlizOptions("EPGP Looting Guide")

local frame
local slotID
local sName
local sLink
local iRarity
local iLevel
local iMinLevel
local sType
local sSubType
local iStackCount
local sEquip
local sTexture
local statsTable = {}
local tablePrio = {}
local isOpen
local iEPGPCost
local inGuild

local defaults = {
  profile = {
    HelmGP = 2200,
    NeckGP = 1250,
	ShouldersGP = 1650,
	CloakGP = 1250,
	ChestGP = 2200,
	WristGP = 1250,
	GlovesGP = 1650,
	WaistGP = 1650,
	LegsGP = 2200,
	BootsGP = 1650,
	RingGP = 1250,
	TrinketGP = 1650,
	MainhandGP = 2450,
	OffhandGP = 950,
	WeaponGP = 3400,
	RangedGP = 700,
  }
}

local epgp = {
  profile = {
    HelmGP = 1,
    NeckGP = 0.55,
	ShouldersGP = 0.777,
	CloakGP = 0.55,
	ChestGP = 1,
	WristGP = 0.777,
	GlovesGP = 0.777,
	WaistGP = 0.777,
	LegsGP = 1,
	BootsGP = 0.777,
	RingGP = 0.55,
	TrinketGP = 0.7,
	MainhandGP = 0.42,
	OffhandGP = 0.55,
	WeaponGP = 1,
	RangedGP = 0.42,
  }
}

function MyAddon:OnInitialize()
	MyAddon.enabled = true
	local guildName = GetGuildInfo(UnitName("player"))
	if (guildName == "The Hellfire Club") then
		inGuild = true
		self.db = LibStub("AceDB-3.0"):New("EPGPLootingGuideDB", defaults)
	else
		inGuild = false
		self.db = LibStub("AceDB-3.0"):New("EPGPLootingGuideDB", epgp)
	end

	MyAddon:RegisterChatCommand("epgplg", "ChatCommand")
	
	--MyAddon:RegisterEvent("PLAYER_LOGIN", test)
end

function MyAddon:OnEnable()
	MyAddon:RegisterEvent("START_LOOT_ROLL")
	MyAddon:RegisterEvent("OPEN_MASTER_LOOT_LIST")
	MyAddon:RegisterEvent("LOOT_SLOT_CLEARED")
	MyAddon:RegisterComm("LootingGuideNI")
	MyAddon:RegisterComm("LootingGuideLC")
end

function MyAddon:ChatCommand(input)
	if not input or input:trim() == "" then
		LibStub("AceConfigDialog-3.0"):Open("EPGP Looting Guide")
	elseif input == "enable" then
		MyAddon:Enable()
		MyAddon:Print("EPGP Looting Guide is now Enabled")
	elseif input == "disable" then
		MyAddon:Disable()
		MyAddon:Print("EPGP Looting Guide is now Disabled")
	end
end

function MyAddon.START_LOOT_ROLL(_,_,id)

	local linkstext = GetLootRollItemLink(id)
		
	sName, sLink, iRarity, iLevel, iMinLevel, sType, sSubType, iStackCount, sEquip, sTexture = GetItemInfo(linkstext)

	if (sType == "Armor" or sType == "Weapon" or (sType == "Miscellaneous" and iLevel > 69)) then
		ActivatePrint()
	end		
end

function MyAddon.OPEN_MASTER_LOOT_LIST()
	local itemLink = GetLootSlotLink(LootFrame.selectedSlot)

	sName, sLink, iRarity, iLevel, iMinLevel, sType, sSubType, iStackCount, sEquip, sTexture = GetItemInfo(itemLink)

	if (sType == "Armor" or sType == "Weapon" or (sType == "Miscellaneous" and iLevel > 69)) then
		MyAddon:SendCommMessage("LootingGuideNI", itemLink, "RAID")
		slotID = LootFrame.selectedSlot
		ActivatePrint()
	end		
end

function MyAddon.LOOT_SLOT_CLEARED(_,_,id)
	if (slotID == id) then
		MyAddon:SendCommMessage("LootingGuideLC", "Close Window", "RAID")
		slotID = 0
		if (isOpen == true) then
			AceGUI:Release(frame)
		end
	end
end

function test()		
	sName, sLink, iRarity, iLevel, iMinLevel, sType, sSubType, iStackCount, sEquip, sTexture = GetItemInfo(77215)
	
	if (sType == "Armor" or sType == "Weapon" or (sType == "Miscellaneous" and iLevel > 69)) then
		ActivatePrint()
	end	
end

function MyAddon:OnCommReceived(prefix, message, distribution, sender)
	local playerName = UnitName("player")

	if (sender == playerName) then
	else
		if (prefix == "LootingGuideNI") then
			sName, sLink, iRarity, iLevel, iMinLevel, sType, sSubType, iStackCount, sEquip, sTexture = GetItemInfo(message)
			ActivatePrint()
		elseif (message == "Close Window" and isOpen == true) then
			AceGUI:Release(frame)
		end
	end
end

function ActivatePrint()
		isOpen = true
		local stats = GetItemStats(sLink, statsTable)
		
		frame = AceGUI:Create("Frame")
		frame:SetTitle("EPGP Looting Guide")
		frame:SetCallback("OnClose", function(widget) AceGUI:Release(widget) isOpen = false end)	
		frame:SetLayout("List")
		frame:SetWidth(215)
		frame:SetHeight(300)
		
		local pic = AceGUI:Create("Icon")
		pic:SetImage(sTexture)
		pic:SetWidth(180)
		pic:SetImageSize(40, 40)
		pic:SetCallback("OnEnter", function(pic) GameTooltip:SetOwner(UIParent, "ANCHOR_CURSOR") GameTooltip:SetHyperlink(sLink) end)
		pic:SetCallback("OnLeave", function(pic) GameTooltip:Hide() end)
		frame:AddChild(pic)

		local label = AceGUI:Create("Label")
		label:SetColor(GetItemQualityColor(iRarity))
		label:SetText(sName)
		label:SetFullWidth(true)
		label:SetFontObject(GameFontNormalSmall)
		frame:AddChild(label)

		local linebreak = AceGUI:Create("Label")
		linebreak:SetText(" ")
		frame:AddChild(linebreak)

		WorkOutEPGP()

		local epgp = AceGUI:Create("Label")
		epgp:SetText("                EPGP Cost: "..iEPGPCost)
		frame:AddChild(epgp)
		
		local linebreak = AceGUI:Create("Label")
		linebreak:SetText(" ")
		frame:AddChild(linebreak)

		local primaryStat

		for stat, value in pairs(stats) do 
			if (_G[stat] == "Agility") then
				primaryStat = "Agility"				
			elseif (_G[stat] == "Intellect") then
				primaryStat = "Intellect"
			elseif (_G[stat] == "Strength") then
				primaryStat = "Strength"
			end
		end

		local class

		if (sType == "Armor") then
			if ( (sEquip == "INVTYPE_CLOAK") or (sSubType == "Miscellaneous")) then
				if (primaryStat == "Intellect") then
					tablePrio = {}
					table.insert(tablePrio, {spec = "Restoration Druid", prio = 5})
					table.insert(tablePrio, {spec = "Balance Druid", prio = 5})
					table.insert(tablePrio, {spec = "Arcane Mage", prio = 5})
					table.insert(tablePrio, {spec = "Fire Mage", prio = 5})
					table.insert(tablePrio, {spec = "Frost Mage", prio = 5})
					table.insert(tablePrio, {spec = "Holy Paladin", prio = 5})
					table.insert(tablePrio, {spec = "Discipline Priest", prio = 5})
					table.insert(tablePrio, {spec = "Holy Priest", prio = 5})
					table.insert(tablePrio, {spec = "Shadow Priest", prio = 5})
					table.insert(tablePrio, {spec = "Elemental Shaman", prio = 5})
					table.insert(tablePrio, {spec = "Restoration Shaman", prio = 5})
					table.insert(tablePrio, {spec = "Affliction Warlock", prio = 5})
					table.insert(tablePrio, {spec = "Demonology Warlock", prio = 5})
					table.insert(tablePrio, {spec = "Destruction Warlock", prio = 5})					
					
				elseif (primaryStat == "Agility") then
					tablePrio = {}
					table.insert(tablePrio, {spec = "Ferel(tank) Druid", prio = 5})
					table.insert(tablePrio, {spec = "Ferel(dps) Druid", prio = 5})
					table.insert(tablePrio, {spec = "Beast Mastery Hunter", prio = 5})
					table.insert(tablePrio, {spec = "Marksmanship Hunter", prio = 5})
					table.insert(tablePrio, {spec = "Survival Hunter", prio = 5})
					table.insert(tablePrio, {spec = "Enhancement Shaman", prio = 5})
					table.insert(tablePrio, {spec = "Assassination Rogue", prio = 5})
					table.insert(tablePrio, {spec = "Combat Rogue", prio = 5})
					table.insert(tablePrio, {spec = "Subtlety Rogue", prio = 5})
					
				elseif (primaryStat == "Strength") then
					tablePrio = {}
					table.insert(tablePrio, {spec = "Blood Death Knight", prio = 5})
					table.insert(tablePrio, {spec = "Frost Death Knight", prio = 5})
					table.insert(tablePrio, {spec = "Unholy Death Knight", prio = 5})
					table.insert(tablePrio, {spec = "Retribution Paladin", prio = 5})
					table.insert(tablePrio, {spec = "Protection Paladin", prio = 5})
					table.insert(tablePrio, {spec = "Arms Warrior", prio = 5})
					table.insert(tablePrio, {spec = "Fury Warrior", prio = 5})
					table.insert(tablePrio, {spec = "Protection Warrior", prio = 5})
					
				end
			elseif (sSubType == "Plate") then
				if (primaryStat == "Intellect") then
					tablePrio = {}
					table.insert(tablePrio, {spec = "Holy Paladin", prio = 5})

				else
					tablePrio = {}
					table.insert(tablePrio, {spec = "Blood Death Knight", prio = 5})
					table.insert(tablePrio, {spec = "Frost Death Knight", prio = 5})
					table.insert(tablePrio, {spec = "Unholy Death Knight", prio = 5})
					table.insert(tablePrio, {spec = "Retribution Paladin", prio = 5})
					table.insert(tablePrio, {spec = "Protection Paladin", prio = 5})
					table.insert(tablePrio, {spec = "Arms Warrior", prio = 5})
					table.insert(tablePrio, {spec = "Fury Warrior", prio = 5})
					table.insert(tablePrio, {spec = "Protection Warrior", prio = 5})

				end
			elseif (sSubType == "Mail") then
				if (primaryStat == "Intellect") then
					tablePrio = {}
					table.insert(tablePrio, {spec = "Elemental Shaman", prio = 5})
					table.insert(tablePrio, {spec = "Restoration Shaman", prio = 5})

				else
					tablePrio = {}				
					table.insert(tablePrio, {spec = "Beast Mastery Hunter", prio = 5})
					table.insert(tablePrio, {spec = "Marksmanship Hunter", prio = 5})
					table.insert(tablePrio, {spec = "Survival Hunter", prio = 5})
					table.insert(tablePrio, {spec = "Enhancement Shaman", prio = 5})

				end
			elseif (sSubType == "Leather") then
				if (primaryStat == "Intellect") then
					tablePrio = {}
					table.insert(tablePrio, {spec = "Restoration Druid", prio = 5})
					table.insert(tablePrio, {spec = "Balance Druid", prio = 5})

				else
					tablePrio = {}
					table.insert(tablePrio, {spec = "Ferel(tank) Druid", prio = 5})
					table.insert(tablePrio, {spec = "Ferel(dps) Druid", prio = 5})
					table.insert(tablePrio, {spec = "Assassination Rogue", prio = 5})
					table.insert(tablePrio, {spec = "Combat Rogue", prio = 5})
					table.insert(tablePrio, {spec = "Subtlety Rogue", prio = 5})

				end
			elseif (sSubType == "Cloth") then
				tablePrio = {}
				table.insert(tablePrio, {spec = "Arcane Mage", prio = 5})
				table.insert(tablePrio, {spec = "Fire Mage", prio = 5})
				table.insert(tablePrio, {spec = "Frost Mage", prio = 5})
				table.insert(tablePrio, {spec = "Discipline Priest", prio = 5})
				table.insert(tablePrio, {spec = "Holy Priest", prio = 5})
				table.insert(tablePrio, {spec = "Shadow Priest", prio = 5})
				table.insert(tablePrio, {spec = "Affliction Warlock", prio = 5})
				table.insert(tablePrio, {spec = "Demonology Warlock", prio = 5})
				table.insert(tablePrio, {spec = "Destruction Warlock", prio = 5})

			elseif (sSubType == "Shields") then	
				table.insert(tablePrio, {spec = "Protection Paladin", prio = 5})
				table.insert(tablePrio, {spec = "Holy Paladin", prio = 5})
				table.insert(tablePrio, {spec = "Elemental Shaman", prio = 5})
				table.insert(tablePrio, {spec = "Restoration Shaman", prio = 5})
				table.insert(tablePrio, {spec = "Protection Warrior", prio = 5})
					
			elseif (sSubType == "Relic") then
				tablePrio = {}
				table.insert(tablePrio, {spec = "Blood Death Knight", prio = 5})
				table.insert(tablePrio, {spec = "Frost Death Knight", prio = 5})
				table.insert(tablePrio, {spec = "Unholy Death Knight", prio = 5})
				table.insert(tablePrio, {spec = "Restoration Druid", prio = 5})
				table.insert(tablePrio, {spec = "Balance Druid", prio = 5})
				table.insert(tablePrio, {spec = "Ferel(tank) Druid", prio = 5})
				table.insert(tablePrio, {spec = "Ferel(dps) Druid", prio = 5})
				table.insert(tablePrio, {spec = "Retribution Paladin", prio = 5})
				table.insert(tablePrio, {spec = "Protection Paladin", prio = 5})
				table.insert(tablePrio, {spec = "Holy Paladin", prio = 5})
				table.insert(tablePrio, {spec = "Elemental Shaman", prio = 5})
				table.insert(tablePrio, {spec = "Restoration Shaman", prio = 5})
				table.insert(tablePrio, {spec = "Enhancement Shaman", prio = 5})
			end
		elseif (sType == "Weapon") then
			if (sSubType == "Bows") then
				tablePrio = {}
				table.insert(tablePrio, {spec = "Beast Mastery Hunter", prio = 5})
				table.insert(tablePrio, {spec = "Marksmanship Hunter", prio = 5})
				table.insert(tablePrio, {spec = "Survival Hunter", prio = 5})
				table.insert(tablePrio, {spec = "Assassination Rogue", prio = 1})
				table.insert(tablePrio, {spec = "Combat Rogue", prio = 1})
				table.insert(tablePrio, {spec = "Subtlety Rogue", prio = 1})
				table.insert(tablePrio, {spec = "Arms Warrior", prio = 5})
				table.insert(tablePrio, {spec = "Fury Warrior", prio = 5})
				table.insert(tablePrio, {spec = "Protection Warrior", prio = 5})
			elseif (sSubType == "Crossbows") then
				tablePrio = {}
				table.insert(tablePrio, {spec = "Beast Mastery Hunter", prio = 5})
				table.insert(tablePrio, {spec = "Marksmanship Hunter", prio = 5})
				table.insert(tablePrio, {spec = "Survival Hunter", prio = 5})
				table.insert(tablePrio, {spec = "Assassination Rogue", prio = 1})
				table.insert(tablePrio, {spec = "Combat Rogue", prio = 1})
				table.insert(tablePrio, {spec = "Subtlety Rogue", prio = 1})
				table.insert(tablePrio, {spec = "Arms Warrior", prio = 5})
				table.insert(tablePrio, {spec = "Fury Warrior", prio = 5})
				table.insert(tablePrio, {spec = "Protection Warrior", prio = 5})
			elseif (sSubType == "Daggers") then
				tablePrio = {}
				table.insert(tablePrio, {spec = "Restoration Druid", prio = 5})
				table.insert(tablePrio, {spec = "Balance Druid", prio = 5})
				table.insert(tablePrio, {spec = "Ferel(tank) Druid", prio = 3})
				table.insert(tablePrio, {spec = "Ferel(dps) Druid", prio = 3})
				table.insert(tablePrio, {spec = "Beast Mastery Hunter", prio = 5})
				table.insert(tablePrio, {spec = "Marksmanship Hunter", prio = 5})
				table.insert(tablePrio, {spec = "Survival Hunter", prio = 5})
				table.insert(tablePrio, {spec = "Arcane Mage", prio = 5})
				table.insert(tablePrio, {spec = "Fire Mage", prio = 5})
				table.insert(tablePrio, {spec = "Frost Mage", prio = 5})
				table.insert(tablePrio, {spec = "Discipline Priest", prio = 5})
				table.insert(tablePrio, {spec = "Holy Priest", prio = 5})
				table.insert(tablePrio, {spec = "Shadow Priest", prio = 5})
				table.insert(tablePrio, {spec = "Assassination Rogue", prio = 5})
				table.insert(tablePrio, {spec = "Combat Rogue", prio = 5})
				table.insert(tablePrio, {spec = "Subtlety Rogue", prio = 5})
				table.insert(tablePrio, {spec = "Elemental Shaman", prio = 5})
				table.insert(tablePrio, {spec = "Restoration Shaman", prio = 5})
				table.insert(tablePrio, {spec = "Enhancement Shaman", prio = 3})
				table.insert(tablePrio, {spec = "Affliction Warlock", prio = 5})
				table.insert(tablePrio, {spec = "Demonology Warlock", prio = 5})
				table.insert(tablePrio, {spec = "Destruction Warlock", prio = 5})
				table.insert(tablePrio, {spec = "Arms Warrior", prio = 1})
				table.insert(tablePrio, {spec = "Fury Warrior", prio = 1})
				table.insert(tablePrio, {spec = "Protection Warrior", prio = 1})
			elseif (sSubType == "Guns") then
				tablePrio = {}
				table.insert(tablePrio, {spec = "Beast Mastery Hunter", prio = 5})
				table.insert(tablePrio, {spec = "Marksmanship Hunter", prio = 5})
				table.insert(tablePrio, {spec = "Survival Hunter", prio = 5})
				table.insert(tablePrio, {spec = "Assassination Rogue", prio = 1})
				table.insert(tablePrio, {spec = "Combat Rogue", prio = 1})
				table.insert(tablePrio, {spec = "Subtlety Rogue", prio = 1})
				table.insert(tablePrio, {spec = "Arms Warrior", prio = 5})
				table.insert(tablePrio, {spec = "Fury Warrior", prio = 5})
				table.insert(tablePrio, {spec = "Protection Warrior", prio = 5})
			elseif (sSubType == "Fist Weapons") then
				tablePrio = {}
				table.insert(tablePrio, {spec = "Restoration Druid", prio = 5})
				table.insert(tablePrio, {spec = "Balance Druid", prio = 5})
				table.insert(tablePrio, {spec = "Ferel(tank) Druid", prio = 5})
				table.insert(tablePrio, {spec = "Ferel(dps) Druid", prio = 5})
				table.insert(tablePrio, {spec = "Beast Mastery Hunter", prio = 5})
				table.insert(tablePrio, {spec = "Marksmanship Hunter", prio = 5})
				table.insert(tablePrio, {spec = "Survival Hunter", prio = 5})
				table.insert(tablePrio, {spec = "Assassination Rogue", prio = 5})
				table.insert(tablePrio, {spec = "Combat Rogue", prio = 5})
				table.insert(tablePrio, {spec = "Subtlety Rogue", prio = 5})
				table.insert(tablePrio, {spec = "Elemental Shaman", prio = 5})
				table.insert(tablePrio, {spec = "Restoration Shaman", prio = 5})
				table.insert(tablePrio, {spec = "Enhancement Shaman", prio = 5})
				table.insert(tablePrio, {spec = "Arms Warrior", prio = 5})
				table.insert(tablePrio, {spec = "Fury Warrior", prio = 5})
				table.insert(tablePrio, {spec = "Protection Warrior", prio = 5})
			elseif (sSubType == "One-Handed Axes") then
				tablePrio = {}
				table.insert(tablePrio, {spec = "Blood Death Knight", prio = 5})
				table.insert(tablePrio, {spec = "Frost Death Knight", prio = 5})
				table.insert(tablePrio, {spec = "Unholy Death Knight", prio = 5})
				table.insert(tablePrio, {spec = "Beast Mastery Hunter", prio = 5})
				table.insert(tablePrio, {spec = "Marksmanship Hunter", prio = 5})
				table.insert(tablePrio, {spec = "Survival Hunter", prio = 5})
				table.insert(tablePrio, {spec = "Retribution Paladin", prio = 5})
				table.insert(tablePrio, {spec = "Protection Paladin", prio = 5})
				table.insert(tablePrio, {spec = "Holy Paladin", prio = 5})
				table.insert(tablePrio, {spec = "Assassination Rogue", prio = 5})
				table.insert(tablePrio, {spec = "Combat Rogue", prio = 5})
				table.insert(tablePrio, {spec = "Subtlety Rogue", prio = 5})
				table.insert(tablePrio, {spec = "Elemental Shaman", prio = 5})
				table.insert(tablePrio, {spec = "Restoration Shaman", prio = 5})
				table.insert(tablePrio, {spec = "Enhancement Shaman", prio = 5})
				table.insert(tablePrio, {spec = "Arms Warrior", prio = 5})
				table.insert(tablePrio, {spec = "Fury Warrior", prio = 5})
				table.insert(tablePrio, {spec = "Protection Warrior", prio = 5})				
			elseif (sSubType == "One-Handed Maces") then
				tablePrio = {}
				table.insert(tablePrio, {spec = "Blood Death Knight", prio = 5})
				table.insert(tablePrio, {spec = "Frost Death Knight", prio = 5})
				table.insert(tablePrio, {spec = "Unholy Death Knight", prio = 5})
				table.insert(tablePrio, {spec = "Restoration Druid", prio = 5})
				table.insert(tablePrio, {spec = "Balance Druid", prio = 5})
				table.insert(tablePrio, {spec = "Ferel(tank) Druid", prio = 5})
				table.insert(tablePrio, {spec = "Ferel(dps) Druid", prio = 5})
				table.insert(tablePrio, {spec = "Retribution Paladin", prio = 5})
				table.insert(tablePrio, {spec = "Protection Paladin", prio = 5})
				table.insert(tablePrio, {spec = "Holy Paladin", prio = 5})
				table.insert(tablePrio, {spec = "Discipline Priest", prio = 5})
				table.insert(tablePrio, {spec = "Holy Priest", prio = 5})
				table.insert(tablePrio, {spec = "Shadow Priest", prio = 5})
				table.insert(tablePrio, {spec = "Assassination Rogue", prio = 5})
				table.insert(tablePrio, {spec = "Combat Rogue", prio = 5})
				table.insert(tablePrio, {spec = "Subtlety Rogue", prio = 5})
				table.insert(tablePrio, {spec = "Elemental Shaman", prio = 5})
				table.insert(tablePrio, {spec = "Restoration Shaman", prio = 5})
				table.insert(tablePrio, {spec = "Enhancement Shaman", prio = 5})
				table.insert(tablePrio, {spec = "Arms Warrior", prio = 5})
				table.insert(tablePrio, {spec = "Fury Warrior", prio = 5})
				table.insert(tablePrio, {spec = "Protection Warrior", prio = 5})	
			elseif (sSubType == "One-Handed Swords") then
				tablePrio = {}
				table.insert(tablePrio, {spec = "Blood Death Knight", prio = 5})
				table.insert(tablePrio, {spec = "Frost Death Knight", prio = 5})
				table.insert(tablePrio, {spec = "Unholy Death Knight", prio = 5})
				table.insert(tablePrio, {spec = "Beast Mastery Hunter", prio = 5})
				table.insert(tablePrio, {spec = "Marksmanship Hunter", prio = 5})
				table.insert(tablePrio, {spec = "Survival Hunter", prio = 5})
				table.insert(tablePrio, {spec = "Arcane Mage", prio = 5})
				table.insert(tablePrio, {spec = "Fire Mage", prio = 5})
				table.insert(tablePrio, {spec = "Frost Mage", prio = 5})
				table.insert(tablePrio, {spec = "Retribution Paladin", prio = 5})
				table.insert(tablePrio, {spec = "Protection Paladin", prio = 5})
				table.insert(tablePrio, {spec = "Holy Paladin", prio = 5})
				table.insert(tablePrio, {spec = "Assassination Rogue", prio = 5})
				table.insert(tablePrio, {spec = "Combat Rogue", prio = 5})
				table.insert(tablePrio, {spec = "Subtlety Rogue", prio = 5})
				table.insert(tablePrio, {spec = "Affliction Warlock", prio = 5})
				table.insert(tablePrio, {spec = "Demonology Warlock", prio = 5})
				table.insert(tablePrio, {spec = "Destruction Warlock", prio = 5})
				table.insert(tablePrio, {spec = "Arms Warrior", prio = 5})
				table.insert(tablePrio, {spec = "Fury Warrior", prio = 5})
				table.insert(tablePrio, {spec = "Protection Warrior", prio = 5})	
			elseif (sSubType == "Polearms") then
				tablePrio = {}
				table.insert(tablePrio, {spec = "Blood Death Knight", prio = 5})
				table.insert(tablePrio, {spec = "Frost Death Knight", prio = 5})
				table.insert(tablePrio, {spec = "Unholy Death Knight", prio = 5})
				table.insert(tablePrio, {spec = "Restoration Druid", prio = 5})
				table.insert(tablePrio, {spec = "Balance Druid", prio = 5})
				table.insert(tablePrio, {spec = "Ferel(tank) Druid", prio = 5})
				table.insert(tablePrio, {spec = "Ferel(dps) Druid", prio = 5})
				table.insert(tablePrio, {spec = "Beast Mastery Hunter", prio = 5})
				table.insert(tablePrio, {spec = "Marksmanship Hunter", prio = 5})
				table.insert(tablePrio, {spec = "Survival Hunter", prio = 5})
				table.insert(tablePrio, {spec = "Retribution Paladin", prio = 5})
				table.insert(tablePrio, {spec = "Protection Paladin", prio = 5})
				table.insert(tablePrio, {spec = "Holy Paladin", prio = 5})
				table.insert(tablePrio, {spec = "Elemental Shaman", prio = 5})
				table.insert(tablePrio, {spec = "Restoration Shaman", prio = 5})
				table.insert(tablePrio, {spec = "Enhancement Shaman", prio = 5})
				table.insert(tablePrio, {spec = "Arms Warrior", prio = 5})
				table.insert(tablePrio, {spec = "Fury Warrior", prio = 5})
				table.insert(tablePrio, {spec = "Protection Warrior", prio = 5})	
			elseif (sSubType == "Staves") then
				tablePrio = {}
				table.insert(tablePrio, {spec = "Restoration Druid", prio = 5})
				table.insert(tablePrio, {spec = "Balance Druid", prio = 5})
				table.insert(tablePrio, {spec = "Ferel(tank) Druid", prio = 5})
				table.insert(tablePrio, {spec = "Ferel(dps) Druid", prio = 5})
				table.insert(tablePrio, {spec = "Beast Mastery Hunter", prio = 5})
				table.insert(tablePrio, {spec = "Marksmanship Hunter", prio = 5})
				table.insert(tablePrio, {spec = "Survival Hunter", prio = 5})
				table.insert(tablePrio, {spec = "Arcane Mage", prio = 5})
				table.insert(tablePrio, {spec = "Fire Mage", prio = 5})
				table.insert(tablePrio, {spec = "Frost Mage", prio = 5})
				table.insert(tablePrio, {spec = "Discipline Priest", prio = 5})
				table.insert(tablePrio, {spec = "Holy Priest", prio = 5})
				table.insert(tablePrio, {spec = "Shadow Priest", prio = 5})
				table.insert(tablePrio, {spec = "Elemental Shaman", prio = 5})
				table.insert(tablePrio, {spec = "Restoration Shaman", prio = 5})
				table.insert(tablePrio, {spec = "Enhancement Shaman", prio = 5})
				table.insert(tablePrio, {spec = "Affliction Warlock", prio = 5})
				table.insert(tablePrio, {spec = "Demonology Warlock", prio = 5})
				table.insert(tablePrio, {spec = "Destruction Warlock", prio = 5})
				table.insert(tablePrio, {spec = "Arms Warrior", prio = 5})
				table.insert(tablePrio, {spec = "Fury Warrior", prio = 5})
				table.insert(tablePrio, {spec = "Protection Warrior", prio = 5})
			elseif (sSubType == "Thrown") then
				tablePrio = {}
				table.insert(tablePrio, {spec = "Assassination Rogue", prio = 5})
				table.insert(tablePrio, {spec = "Combat Rogue", prio = 5})
				table.insert(tablePrio, {spec = "Subtlety Rogue", prio = 5})
				table.insert(tablePrio, {spec = "Arms Warrior", prio = 5})
				table.insert(tablePrio, {spec = "Fury Warrior", prio = 5})
				table.insert(tablePrio, {spec = "Protection Warrior", prio = 5})
			elseif (sSubType == "Two-Handed Axes") then
				tablePrio = {}
				table.insert(tablePrio, {spec = "Blood Death Knight", prio = 5})
				table.insert(tablePrio, {spec = "Frost Death Knight", prio = 5})
				table.insert(tablePrio, {spec = "Unholy Death Knight", prio = 5})
				table.insert(tablePrio, {spec = "Beast Mastery Hunter", prio = 5})
				table.insert(tablePrio, {spec = "Marksmanship Hunter", prio = 5})
				table.insert(tablePrio, {spec = "Survival Hunter", prio = 5})
				table.insert(tablePrio, {spec = "Retribution Paladin", prio = 5})
				table.insert(tablePrio, {spec = "Protection Paladin", prio = 5})
				table.insert(tablePrio, {spec = "Holy Paladin", prio = 5})
				table.insert(tablePrio, {spec = "Arms Warrior", prio = 5})
				table.insert(tablePrio, {spec = "Fury Warrior", prio = 5})
				table.insert(tablePrio, {spec = "Protection Warrior", prio = 5})	
			elseif (sSubType == "Two-Handed Maces") then
				tablePrio = {}
				table.insert(tablePrio, {spec = "Blood Death Knight", prio = 5})
				table.insert(tablePrio, {spec = "Frost Death Knight", prio = 5})
				table.insert(tablePrio, {spec = "Unholy Death Knight", prio = 5})
				table.insert(tablePrio, {spec = "Retribution Paladin", prio = 5})
				table.insert(tablePrio, {spec = "Protection Paladin", prio = 5})
				table.insert(tablePrio, {spec = "Holy Paladin", prio = 5})
				table.insert(tablePrio, {spec = "Arms Warrior", prio = 5})
				table.insert(tablePrio, {spec = "Fury Warrior", prio = 5})
				table.insert(tablePrio, {spec = "Protection Warrior", prio = 5})	
			elseif (sSubType == "Two-Handed Swords") then
				tablePrio = {}
				table.insert(tablePrio, {spec = "Blood Death Knight", prio = 5})
				table.insert(tablePrio, {spec = "Frost Death Knight", prio = 5})
				table.insert(tablePrio, {spec = "Unholy Death Knight", prio = 5})
				table.insert(tablePrio, {spec = "Beast Mastery Hunter", prio = 5})
				table.insert(tablePrio, {spec = "Marksmanship Hunter", prio = 5})
				table.insert(tablePrio, {spec = "Survival Hunter", prio = 5})
				table.insert(tablePrio, {spec = "Retribution Paladin", prio = 5})
				table.insert(tablePrio, {spec = "Protection Paladin", prio = 5})
				table.insert(tablePrio, {spec = "Holy Paladin", prio = 5})
				table.insert(tablePrio, {spec = "Arms Warrior", prio = 5})
				table.insert(tablePrio, {spec = "Fury Warrior", prio = 5})
				table.insert(tablePrio, {spec = "Protection Warrior", prio = 5})	
			elseif (sSubType == "Wands") then
				tablePrio = {}
				table.insert(tablePrio, {spec = "Arcane Mage", prio = 5})
				table.insert(tablePrio, {spec = "Fire Mage", prio = 5})
				table.insert(tablePrio, {spec = "Frost Mage", prio = 5})
				table.insert(tablePrio, {spec = "Discipline Priest", prio = 5})
				table.insert(tablePrio, {spec = "Holy Priest", prio = 5})
				table.insert(tablePrio, {spec = "Shadow Priest", prio = 5})
				table.insert(tablePrio, {spec = "Affliction Warlock", prio = 5})
				table.insert(tablePrio, {spec = "Demonology Warlock", prio = 5})
				table.insert(tablePrio, {spec = "Destruction Warlock", prio = 5})
			end
		elseif (sType == "Miscellaneous") then
			local left, left1, left2, left3, name = strsplit(" ", sName, 5)
			tablePrio = {}
			if (name == "Conqueror") then
				table.insert(tablePrio, {spec = "Paladin", prio = 14})
				table.insert(tablePrio, {spec = "Priest", prio = 14})
				table.insert(tablePrio, {spec = "Warlock", prio = 14})
			elseif (name == "Protector") then
				table.insert(tablePrio, {spec = "Hunter", prio = 14}) 
				table.insert(tablePrio, {spec = "Shaman", prio = 14}) 
				table.insert(tablePrio, {spec = "Warrior", prio = 14}) 
			elseif (name == "Vanquisher") then
				table.insert(tablePrio, {spec = "Druid", prio = 14})
				table.insert(tablePrio, {spec = "Death Knight", prio = 14})
				table.insert(tablePrio, {spec = "Mage", prio = 14})
				table.insert(tablePrio, {spec = "Rogue", prio = 14})
			end
		end

		for stat, value in pairs(stats) do
			if (_G[stat] == "Agility") then
				Agility()				
			elseif (_G[stat] == "Intellect") then
				Intellect()
			elseif (_G[stat] == "Strength") then
				Strength()
			end

			if (_G[stat] == "Critical Strike Rating") then
				Crit()
			end

			if (_G[stat] == "Haste Rating") then
				Haste()
			end

			if (_G[stat] == "Mastery Rating") then
				Mastery()
			end

			if (_G[stat] == "Hit Rating") then
				Hit()
			end

			if (_G[stat] == "Expertise Rating") then
				Expertise()
			end

			if (_G[stat] == "Parry Rating") then
				Dodge()
			end

			if (_G[stat] == "Dodge Rating") then
				Parry()
			end

			if (_G[stat] == "Spirit") then
				Spirit()
			end
		end

		local group = AceGUI:Create("InlineGroup")
		group:SetTitle("Priorities")
		group:SetFullWidth(frame)
		group:SetLayout("Fill")
		frame:AddChild(group)

		scroll = AceGUI:Create("ScrollFrame")
		scroll:SetLayout("Flow")
		group:AddChild(scroll)

		sort(tablePrio, function(a,b) return a.prio > b.prio end)
		for _, v in pairs(tablePrio) do
			if (v.prio > 5) then
				local itemPrio = AceGUI:Create("Label")
				if (v.prio == 14) then
					itemPrio:SetColor(1.0,0,0)
				elseif (v.prio == 13) then
					itemPrio:SetColor(1,0.2,0)
				elseif (v.prio == 12) then
					itemPrio:SetColor(1,0.4,0)
				elseif (v.prio == 11) then
					itemPrio:SetColor(1,0.6,0)
				elseif (v.prio == 10) then
					itemPrio:SetColor(1,0.8,0)
				elseif (v.prio == 9) then
					itemPrio:SetColor(1,1,0)
				elseif (v.prio == 8) then
					itemPrio:SetColor(0.2,1,0)
				elseif (v.prio == 7) then
					itemPrio:SetColor(0,1,0)
				elseif (v.prio == 6) then
					itemPrio:SetColor(0,1,0.4)
				end
				itemPrio:SetText(v.prio.." - "..v.spec)
				scroll:AddChild(itemPrio)
			end
		end
		
		table.wipe(tablePrio)
		table.wipe(stats)
end

function Agility()
	for _, value in ipairs(tablePrio) do
		if ((value.spec == "Ferel(dps) Druid") or (value.spec == "Ferel(tank) Druid") or (value.spec == "Enhancement Shaman") or (value.spec == "Subtlety Rogue") or (value.spec == "Combat Rogue") or (value.spec == "Assassination Rogue") or (value.spec == "Beast Mastery Hunter")  or (value.spec == "Survival Hunter") or (value.spec == "Marksmanship Hunter")) then
			value.prio = value.prio + 5		
		end  
	end
	
end

function Intellect()
	for _, value in ipairs(tablePrio) do
		if ((value.spec == "Restoration Druid") or (value.spec == "Balance Druid") or (value.spec == "Holy Paladin") or (value.spec == "Discipline Priest") or (value.spec == "Holy Priest") or (value.spec == "Shadow Priest") or (value.spec == "Restoration Shaman") or (value.spec == "Elemental Shaman") or (value.spec == "Fire Mage") or (value.spec == "Frost Mage") or (value.spec == "Arcane Mage") or (value.spec == "Affliction Warlock") or (value.spec == "Destruction Warlock") or (value.spec == "Demonology Warlock")) then
			value.prio = value.prio + 5
		end  
	end
end

function Strength()
	for _, value in ipairs(tablePrio) do
		if ((value.spec == "Unholy Death Knight") or (value.spec == "Frost Death Knight") or (value.spec == "Blood Death Knight") or (value.spec == "Arms Warrior") or (value.spec == "Protection Warrior") or (value.spec == "Fury Warrior") or (value.spec == "Retribution Paladin") or (value.spec == "Protection Paladin")) then
			value.prio = value.prio + 5		
		end  
	end
end

function Crit()
	for _, value in ipairs(tablePrio) do
		if ((value.spec == "Arms Warrior") or (value.spec == "Fury Warrior") or (value.spec == "Fire Mage") or (value.spec == "Frost Mage") or (value.spec == "Beast Mastery Hunter") or (value.spec == "Survival Hunter")) then
			value.prio = value.prio + 2
		elseif ((value.spec == "Ferel(dps) Druid") or (value.spec == "Ferel(tank) Druid") or (value.spec == "Retribution Paladin") or (value.spec == "Affliction Warlock") or (value.spec == "Destruction Warlock") or (value.spec == "Enhancement Shaman") or (value.spec == "Restoration Shaman") or (value.spec == "Subtlety Rogue") or (value.spec == "Marksmanship Hunter")) then
			value.prio = value.prio + 1
		end  
	end
end

function Haste()
	for _, value in ipairs(tablePrio) do
		if ((value.spec == "Frost Death Knight") or (value.spec == "Unholy Death Knight") or (value.spec == "Balance Druid") or (value.spec == "Restoration Druid") or (value.spec == "Holy Paladin") or (value.spec == "Arcane Mage") or (value.spec == "Shadow Priest") or (value.spec == "Holy Priest") or (value.spec == "Affliction Warlock") or (value.spec == "Destruction Warlock") or (value.spec == "Elemental Shaman") or (value.spec == "Subtlety Rogue") or (value.spec == "Combat Rogue") or (value.spec == "Marksmanship Hunter")) then
			value.prio = value.prio + 2
		elseif ((value.spec == "Ferel(dps) Druid") or (value.spec == "Fire Mage") or (value.spec == "Frost Mage") or (value.spec == "Discipline Priest") or (value.spec == "Demonology Warlock") or (value.spec == "Restoration Shaman") or (value.spec == "Assassination Rogue") or (value.spec == "Beast Mastery Hunter")  or (value.spec == "Survival Hunter")) then
			value.prio = value.prio + 1
		end  
	end
end

function Mastery()
	for _, value in ipairs(tablePrio) do
		if ((value.spec == "Retribution Paladin") or (value.spec == "Discipline Priest") or (value.spec == "Demonology Warlock") or (value.spec == "Enhancement Shaman") or (value.spec == "Assassination Rogue")) then
			value.prio = value.prio + 2
		elseif ((value.spec == "Unholy Death Knight") or (value.spec == "Frost Death Knight") or (value.spec == "Blood Death Knight") or (value.spec == "Balance Druid") or (value.spec == "Retoration Druid") or (value.spec == "Ferel(dps) Druid") or (value.spec == "Ferel(tank) Druid") or (value.spec == "Arms Warrior")  or (value.spec == "Protection Warrior") or (value.spec == "Fury Warrior") or (value.spec == "Protection Paladin") or (value.spec == "Holy Paladin") or (value.spec == "Arcane Mage") or (value.spec == "Shadow Priest") or (value.spec == "Holy Priest") or (value.spec == "Elemental Shaman") or (value.spec == "Restoration Shaman") or (value.spec == "Combat Rogue") or (value.spec == "Beast Mastery Hunter")) then
			value.prio = value.prio + 1
		end  
	end
end

function Hit()
	for _, value in ipairs(tablePrio) do
		if ((value.spec == "Blood Death Knight") or (value.spec == "Ferel(tank) Druid") or (value.spec == "Protection Paladin") or (value.spec == "Protection Warrior") or (value.spec == "Restoration Druid") or (value.spec == "Holy Paladin") or (value.spec == "Discipline Priest") or (value.spec == "Holy Priest") or (value.spec == "Restoration Shaman")) then
		
		else
			value.prio = value.prio + 1
		end  
	end
end

function Spirit()
	for _, value in ipairs(tablePrio) do
		if ((value.spec == "Restoration Druid") or (value.spec == "Holy Paladin") or (value.spec == "Discipline Priest") or (value.spec == "Holy Priest") or (value.spec == "Restoration Shaman")) then
			value.prio = value.prio + 2
		elseif ((value.spec == "Balance Druid") or (value.spec == "Shadow Priest") or (value.spec == "Elemental Shaman")) then
			value.prio = value.prio + 1
		end  
	end
end

function Expertise()
	for _, value in ipairs(tablePrio) do
		if ((value.spec == "Unholy Death Knight") or (value.spec == "Frost Death Knight") or (value.spec == "Ferel(dps) Druid") or (value.spec == "Arms Warrior") or (value.spec == "Fury Warrior") or (value.spec == "Retribution Paladin") or (value.spec == "Enhancement Shaman") or (value.spec == "Subtlety Rogue") or (value.spec == "Combat Rogue") or (value.spec == "Assassination Rogue")) then
			value.prio = value.prio + 1		
		end  
	end
end

function Dodge()
	for _, value in ipairs(tablePrio) do
		if ((value.spec == "Blood Death Knight") or (value.spec == "Ferel(tank) Druid") or (value.spec == "Protection Paladin") or (value.spec == "Protection Warrior")) then
			value.prio = value.prio + 2		
		end  
	end
end

function Parry()
	for _, value in ipairs(tablePrio) do
		if ((value.spec == "Blood Death Knight") or (value.spec == "Protection Paladin") or (value.spec == "Protection Warrior")) then
			value.prio = value.prio + 2	
		end  
	end
end

function WorkOutEPGP()
	if inGuild then
		if (sType == "Miscellaneous") then
			local name, left = strsplit(" ", sName, 2)
			if (name == "Gauntlets") then
				iEPGPCost = MyAddon.db.profile.GlovesGP
			elseif (name == "Pauldrons" or name == "Mantle" or name == "Shoulders") then
				iEPGPCost = MyAddon.db.profile.ShouldersGP
			elseif (name == "Chestguard" or name == "Chest") then
				iEPGPCost = MyAddon.db.profile.ChestGP	
			elseif (name == "Leggings") then
				iEPGPCost = MyAddon.db.profile.LegsGP	
			elseif (name == "Crown" or name == "Helm") then
				iEPGPCost = MyAddon.db.profile.HelmGP		
			end
		elseif (sEquip == "INVTYPE_HEAD") then
			iEPGPCost = MyAddon.db.profile.HelmGP
		elseif (sEquip == "INVTYPE_LEGS") then
			iEPGPCost = MyAddon.db.profile.LegsGP	
		elseif (sEquip == "INVTYPE_CHEST" or sEquip == "INVTYPE_ROBE") then
			iEPGPCost = MyAddon.db.profile.ChestGP
		elseif (sEquip == "INVTYPE_NECK") then
			iEPGPCost = MyAddon.db.profile.NeckGP
		elseif (sEquip == "INVTYPE_CLOAK") then
			iEPGPCost = MyAddon.db.profile.CloakGP
		elseif (sEquip == "INVTYPE_WRIST") then
			iEPGPCost = MyAddon.db.profile.WristGP
		elseif (sEquip == "INVTYPE_FINGER") then
			iEPGPCost = MyAddon.db.profile.RingGP
		elseif (sEquip == "INVTYPE_SHOULDER") then
			iEPGPCost = MyAddon.db.profile.ShouldersGP
		elseif (sEquip == "INVTYPE_HAND") then
			iEPGPCost = MyAddon.db.profile.GlovesGP
		elseif (sEquip == "INVTYPE_WAIST") then
			iEPGPCost = MyAddon.db.profile.WaistGP
		elseif (sEquip == "INVTYPE_FEET") then
			iEPGPCost = MyAddon.db.profile.BootsGP
		elseif (sEquip == "INVTYPE_TRINKET") then
			iEPGPCost = MyAddon.db.profile.TrinketGP
		elseif (sEquip == "INVTYPE_SHIELD" or sEquip == "INVTYPE_WEAPONOFFHAND" or sEquip == "INVTYPE_HOLDABLE") then
			iEPGPCost = MyAddon.db.profile.OffhandGP
		elseif (sEquip == "INVTYPE_2HWEAPON") then
			iEPGPCost = MyAddon.db.profile.WeaponGP
		elseif (sEquip == "INVTYPE_WEAPONMAINHAND" or sEquip == "INVTYPE_WEAPON") then
			iEPGPCost = MyAddon.db.profile.MainhandGP
		elseif (sEquip == "INVTYPE_RANGED" or sEquip == "INVTYPE_RANGEDRIGHT" or sEquip == "INVTYPE_THROWN") then
			iEPGPCost = MyAddon.db.profile.RangedGP
		else
			iEPGPCost = 0
		end
	else
		local gpCost
		
		if (iRarity == 4) then
			gpCost = (iLevel - 1.3) / 1.3
		elseif (iRarity == 3) then
			gpCost = (iLevel - 1.84) / 1.6
		elseif (iRarity == 2) then
			gpCost = (iLevel - 4) / 2
		end
		gpCost = (gpCost * gpCost) * 0.04
		if (sType == "Miscellaneous") then
			local name, left = strsplit(" ", sName, 2)
			if (name == "Gauntlets") then
				iEPGPCost = floor(gpCost * MyAddon.db.profile.GlovesGP)
			elseif (name == "Pauldrons" or name == "Mantle" or name == "Shoulders") then
				iEPGPCost = floor(gpCost * MyAddon.db.profile.ShouldersGP)
			elseif (name == "Chestguard" or name == "Chest") then
				iEPGPCost = floor(gpCost * MyAddon.db.profile.ChestGP)	
			elseif (name == "Leggings") then
				iEPGPCost = floor(gpCost * MyAddon.db.profile.LegsGP)	
			elseif (name == "Crown" or name == "Helm") then
				iEPGPCost = floor(gpCost * MyAddon.db.profile.HelmGP)		
			end
		elseif (sEquip == "INVTYPE_HEAD") then
			iEPGPCost = floor(gpCost * MyAddon.db.profile.HelmGP)
		elseif (sEquip == "INVTYPE_LEGS") then
			iEPGPCost = floor(gpCost * MyAddon.db.profile.LegsGP)	
		elseif (sEquip == "INVTYPE_CHEST" or sEquip == "INVTYPE_ROBE") then
			iEPGPCost = floor(gpCost * MyAddon.db.profile.ChestGP)
		elseif (sEquip == "INVTYPE_NECK") then
			iEPGPCost = floor(gpCost * MyAddon.db.profile.NeckGP)
		elseif (sEquip == "INVTYPE_CLOAK") then
			iEPGPCost = floor(gpCost * MyAddon.db.profile.CloakGP)
		elseif (sEquip == "INVTYPE_WRIST") then
			iEPGPCost = floor(gpCost * MyAddon.db.profile.WristGP)
		elseif (sEquip == "INVTYPE_FINGER") then
			iEPGPCost = floor(gpCost * MyAddon.db.profile.RingGP)
		elseif (sEquip == "INVTYPE_SHOULDER") then
			iEPGPCost = floor(gpCost * MyAddon.db.profile.ShouldersGP)
		elseif (sEquip == "INVTYPE_HAND") then
			iEPGPCost = floor(gpCost * MyAddon.db.profile.GlovesGP)
		elseif (sEquip == "INVTYPE_WAIST") then
			iEPGPCost = floor(gpCost * MyAddon.db.profile.WaistGP)
		elseif (sEquip == "INVTYPE_FEET") then
			iEPGPCost = floor(gpCost * MyAddon.db.profile.BootsGP)
		elseif (sEquip == "INVTYPE_TRINKET") then
			iEPGPCost = floor(gpCost * MyAddon.db.profile.TrinketGP)
		elseif (sEquip == "INVTYPE_SHIELD" or sEquip == "INVTYPE_WEAPONOFFHAND" or sEquip == "INVTYPE_HOLDABLE") then
			iEPGPCost = floor(gpCost * MyAddon.db.profile.OffhandGP)
		elseif (sEquip == "INVTYPE_2HWEAPON") then
			iEPGPCost = floor(gpCost * MyAddon.db.profile.WeaponGP)
		elseif (sEquip == "INVTYPE_WEAPONMAINHAND" or sEquip == "INVTYPE_WEAPON") then
			iEPGPCost = floor(gpCost * MyAddon.db.profile.MainhandGP)
		elseif (sEquip == "INVTYPE_RANGED" or sEquip == "INVTYPE_RANGEDRIGHT" or sEquip == "INVTYPE_THROWN") then
			iEPGPCost = floor(gpCost * MyAddon.db.profile.RangedGP)
		else
			iEPGPCost = 0
		end
	end
end